
%define oname node

Name:		node-js
Version:	16.15.0
Release:	%mkrel 1
Summary:	Node.js is a platform for building fast, scalable network application
URL:		https://nodejs.org
Group:		Development/Other
License:	MIT
Source:		%{oname}-v%{version}-linux-x64.tar.xz
BuildRoot:	%{_tmppath}/%{oname}-%{version}-%{release}
Obsoletes: node
Provides: node = %version-%release
Provides: npm  = %version-%release

%description
Node.js® is a platform built on Chrome's JavaScript runtime for easily building fast,
scalable network applications. Node.js uses an event-driven, non-blocking I/O model
that makes it lightweight and efficient, perfect for data-intensive real-time
applications that run across distributed devices.

%prep
%setup -qn %{oname}-v%{version}-linux-x64

%build
#nobuild

%install
%__rm -rf %buildroot
mkdir -p %buildroot/%_bindir
cp -R ${RPM_BUILD_DIR}/%{oname}-v%{version}-linux-x64/bin/* %buildroot/%_bindir

mkdir -p %buildroot/%_includedir/%{oname}
cp -R ${RPM_BUILD_DIR}/%{oname}-v%{version}-linux-x64/include/%{oname}/ %buildroot/%_includedir/

mkdir -p %buildroot/%_exec_prefix/lib/%{oname}_modules/
cp -R ${RPM_BUILD_DIR}/%{oname}-v%{version}-linux-x64/lib/%{oname}_modules %buildroot/%_exec_prefix/lib/

mkdir -p %buildroot/%_datadir/%{oname}
cp -R ${RPM_BUILD_DIR}/%{oname}-v%{version}-linux-x64/share/man %buildroot/%_datadir
cp -R ${RPM_BUILD_DIR}/%{oname}-v%{version}-linux-x64/share/systemtap %buildroot/%_datadir

mkdir -p %buildroot/%_docdir/%{oname}
cp ${RPM_BUILD_DIR}/%{oname}-v%{version}-linux-x64/CHANGELOG.md LICENSE README.md %buildroot/%_docdir/%{oname}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf %buildroot

%files
%defattr(-,root,root,-)
%_bindir/corepack
%_bindir/npx
%_bindir/node
%_bindir/npm
%_datadir/systemtap/tapset/node.stp
%_datadir/man/man1/node.1.bz2
%_exec_prefix/lib/node_modules/
%_includedir/node/
%_docdir/%oname

%changelog
* Wed Jun 01 2022 tex - 16.15.0-1pclos2022
- new version

* Wed Mar 09 2022 tex - 16.14.0-1pclos2022
- new version

* Fri Jul 24 2020 tex - 12.18.3-1pclos2020
- new version

* Mon Feb 10 2020 tex - 12.15.0-1pclos2020
- new version

* Fri May 31 2019 tex - 10.16.0-1pclos2019
- new version

* Thu May 02 2019 tex - 10.15.3-1pclos2019
- new version

* Thu Feb 28 2019 tex 10.15.2-1pclos2019
- new

* Mon Aug 20 2018 tex 8.11.4-1pclos2018
- new version

* Mon Aug 21 2017 bb2 <bb2> - 6.11.2-1pclos2017
- new version

* Sun Mar 27 2016 Archie Arevalo <archie at pclosmail.com> 5.9.1-1_archie_2016
- update to 5.9.1

* Mon Mar 21 2016 Archie Arevalo <archie at pclosmail.com> 5.9.0-1_archie_2016
- Update to 5.9.0
